Chuck Shultz

2.8 requirements

Is 2.8 limited to Windows 10? I have both windows 10 and 8.1 my machines.